Package org.eclipse.core.runtime.preferences

# Class AbstractScope

java.lang.Object
org.eclipse.core.runtime.preferences.AbstractScope

All Implemented Interfaces:
  `IScopeContext`

Direct Known Subclasses:
  `BundleDefaultsScope`, `ConfigurationScope`, `DefaultScope`, `InstanceScope`, `ProjectScope`, `UserScope`

public abstract class AbstractScope extends Object implements IScopeContext
Abstract super-class for scope context object contributed by the Platform.

Since:
  3.12

## Field Summary

### Fields inherited from interface org.eclipse.core.runtime.preferences.IScopeContext

`BUNDLE_SCOPE_FILTER, PROPERTY_TYPE, TYPE_BUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractScope()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`IEclipsePreferences`
`getNode(String qualifier)`
Return the preferences node that contains the preferences for the given qualifier or `null` if the node cannot be determined.
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.preferences.IScopeContext

`getLocation, getName`

## Constructor Details

### AbstractScope

public AbstractScope()

## Method Details

### getNode

public IEclipsePreferences getNode(String qualifier)
Description copied from interface: `IScopeContext`
Return the preferences node that contains the preferences for the given qualifier or `null` if the node cannot be determined. The given qualifier must not be `null` but may be a path to a sub-node within the scope.

An example of a qualifier in Eclipse 2.1 would be the plug-in identifier that the preference is associated with (e.g. the "org.eclipse.core.resources" plug-in defines the "description.autobuild" preference).

This method can be used to determine the appropriate preferences node to aid in setting key/value pairs. For instance: `new InstanceScope().getNode("org.eclipse.core.resources");` returns the preference node in the instance scope where the preferences for "org.eclipse.core.resources" are stored.

Specified by:
  `getNode` in interface `IScopeContext`
Parameters:
  `qualifier` - a qualifier for the preference name
Returns:
  the node containing the plug-in preferences or `null`
See Also:
  - `IPreferencesService`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`